summaryrefslogtreecommitdiffstats
path: root/.travis
diff options
context:
space:
mode:
authorPaweł Krupa <pawel@krupa.net.pl>2018-11-04 12:53:17 +0100
committerGitHub <noreply@github.com>2018-11-04 12:53:17 +0100
commit839d1488571623413aad7ba2019c0437a4f980c4 (patch)
treef2ad50fe21681a97134f20c56fd8d1898d63b0e0 /.travis
parent5ae448a6c3cc4d02b5bc2108d0a1d4f52d758a8c (diff)
decouple nightly cron jobs from packaging stage (#4559)
* decouple nightly cron jobs from packaging stage * do not fail when there is no new changelog
Diffstat (limited to '.travis')
-rwxr-xr-x.travis/generate_changelog.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/.travis/generate_changelog.sh b/.travis/generate_changelog.sh
index bc8be1023b..786bd011f3 100755
--- a/.travis/generate_changelog.sh
+++ b/.travis/generate_changelog.sh
@@ -32,5 +32,5 @@ docker run -it -v "$(pwd)":/project markmandel/github-changelog-generator:latest
echo "--- Uploading changelog ---"
git add CHANGELOG.md
-git commit -m '[ci skip] Automatic changelog update'
+git commit -m '[ci skip] Automatic changelog update' || exit 0
git push "https://${GITHUB_TOKEN}:@$(git config --get remote.origin.url | sed -e 's/^https:\/\///')"